---
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  annotations:
    capability.openshift.io/name: OperatorLifecycleManager
    include.release.openshift.io/hypershift: "true"
    include.release.openshift.io/ibm-cloud-managed: "true"
    include.release.openshift.io/self-managed-high-availability: "true"
  creationTimestamp: "2025-10-27T11:18:15Z"
  generation: 1
  managedFields:
  - apiVersion: config.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:capability.openshift.io/name: {}
          f:include.release.openshift.io/hypershift: {}
          f:include.release.openshift.io/ibm-cloud-managed: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"d36bdf59-d268-4238-afb0-5e0b21cca1a4"}: {}
      f:spec: {}
    manager: cluster-version-operator
    operation: Update
    time: "2025-10-27T11:18:15Z"
  - apiVersion: config.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:extension: {}
        f:relatedObjects: {}
    manager: cluster-version-operator
    operation: Update
    subresource: status
    time: "2025-10-27T11:18:15Z"
  - apiVersion: config.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"Available"}:
            .: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Degraded"}:
            .: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Progressing"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:status: {}
            f:type: {}
          k:{"type":"Upgradeable"}:
            .: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:versions: {}
    manager: olm
    operation: Update
    subresource: status
    time: "2025-10-27T11:31:49Z"
  name: operator-lifecycle-manager
  ownerReferences:
  - apiVersion: config.openshift.io/v1
    controller: true
    kind: ClusterVersion
    name: version
    uid: d36bdf59-d268-4238-afb0-5e0b21cca1a4
  resourceVersion: "9315"
  uid: f082b6bc-5f44-4763-a60a-cf1820de19e9
spec: {}
status:
  conditions:
  - lastTransitionTime: "2025-10-27T11:31:49Z"
    message: Deployed 4.19.0-202510142112.p2.ge42f5c2.assembly.stream.el9-e42f5c2
    status: "False"
    type: Progressing
  - lastTransitionTime: "2025-10-27T11:31:49Z"
    status: "True"
    type: Available
  - lastTransitionTime: "2025-10-27T11:31:49Z"
    status: "False"
    type: Degraded
  - lastTransitionTime: "2025-10-27T11:31:49Z"
    status: "True"
    type: Upgradeable
  extension: null
  relatedObjects:
  - group: operators.coreos.com
    name: packageserver
    namespace: openshift-operator-lifecycle-manager
    resource: clusterserviceversions
  versions:
  - name: operator
    version: 4.19.17
  - name: operator-lifecycle-manager
    version: 4.19.0-202510142112.p2.ge42f5c2.assembly.stream.el9-e42f5c2
